#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		sname		opendkim
%global		betext		-Beta2
#-----------------------------------------------------------------------------
Name		:	OpenDKIM
Version		:	2.11.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A DomainKeys Identified Mail (DKIM) milter to sign and/or verify mail

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and Sendmail
URL		:	https://github.com/trusteddomainproject/OpenDKIM/releases

Source0		:	%{name}-%{version}%{betext}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}%{betext}-support-for-lua-5.3.patch

#-----------------------------------------------------------------------------
BuildRequires	:	libbsd-devel
BuildRequires	:	libevent
BuildRequires	:	lua
BuildRequires	:	milter-devel
BuildRequires	:	openldap-devel
BuildRequires	:	openssl-devel
BuildRequires	:	pkg-config

Requires	:	lib%{name}	= %{version}-%{release} 
Requires	:	inetutils
Requires	:	shadow

#-----------------------------------------------------------------------------
%description
'%{name}' allows signing and/or verification of email through an open source
library that implements the DKIM service, plus a milter-based filter
application that can plug in to any milter-aware MTA, including sendmail,
Postfix, or any other MTA that supports the milter protocol.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/%{sname}.conf
%dir %{_sysconfdir}/%{name}/keys
%{_sysconfdir}/rc.d/init.d/%{sname}
%{_bindir}/miltertest
%{_sbindir}/%{sname}
%{_sbindir}/%{sname}-*
%{_mandir}/man5/%{sname}.conf.5.gz
%{_mandir}/man8/miltertest.8.gz
%{_mandir}/man8/%{sname}.8.gz
%{_mandir}/man8/%{sname}-*.8.gz

%pre 
if [ "$1" = 1 ]; then
  /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{sname}

  /usr/sbin/useradd 				\
	-r					\
	-c "%{sname} Milter"			\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{sname}				\
	-s /sbin/nologin			\
	-d %{_var}/run/%{sname}			\
	%{name}
  fi

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{sname}
  /usr/sbin/userdel %{sname}
  /usr/sbin/groupdel %{sname}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
if [ "$1" = 1 ]; then
  opendkim-genkey -t 						\
	-s %{_sysconfdir}/%{sname}/keys/default			\
	-d `dnsdomainname`
  fi
%{_sbindir}/chkconfig --add %{sname}
%{_sysconfdir}/rc.d/init.d/%{sname} condrestart > /dev/null 2>&1 || :

#=============================================================================
%package -n 		lib%{sname}
Summary		:	An open source DKIM library

 
#-----------------------------------------------------------------------------
%description -n		lib%{sname}
This package contains the library files required for running
services built using libopendkim.
 
#-----------------------------------------------------------------------------
%files -n		lib%{sname}
%defattr(-,root,root,-)
%license LICENSE LICENSE.Sendmail
%doc README
%{_libdir}/lib%{sname}.so.*

#=============================================================================
%package -n 		lib%{sname}-devel
Summary		:	Development files for lib%{name}

Requires	:	lib%{sname}	= %{version}-%{release} 
#-----------------------------------------------------------------------------
%description -n		lib%{sname}-devel
This package contains the libraries, headers, and other support files
required for developing applications against libopendkim.
 
#-----------------------------------------------------------------------------
%files -n		lib%{sname}-devel
%defattr(-,root,root,-)
%license LICENSE LICENSE.Sendmail
%doc lib%{sname}/docs/*.html
%{_includedir}/%{sname}
%{_libdir}/lib%{sname}.so
%{_libdir}/pkgconfig/%{sname}.pc
%{_mandir}/man3/%{sname}-lua.3.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{version}%{betext}
%patch0 -p1
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
%define LIBTOOL LIBTOOL=`which libtool`
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--datadir=%{_datadir}/%{name}			\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-db					\
	--with-libevent					\
	--with-openldap					\
	--with-openssl					\
	--with-lua

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#removing installed docs
%{__rm} -r						\
	 %{buildroot}%{_datadir}/doc/%{name}-%{version}

#To remove libtool and static library
find 							\
	%{buildroot}%{_libdir}				\
	\( -name \*.la -o -name \*.a \)			\
	-delete

#installing opendkim starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/opendkim			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#installing config file
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}/keys
%{__cp} -a 						\
	%{name}-ok_addon/opendkim.conf			\
	%{buildroot}%{_sysconfdir}/%{name}/

#-----------------------------------------------------------------------------
%changelog
